initVariables();
function funcionGo(ctx, width, height) {
  if (lInit) {
    jsreinitProcedure();
    jsinitTimer(1);
    txClocalUp = "IA PARA EL TOBILLO";
    txClocalDown = "sepárese de la cámara, la cara debe activarse";
  }
  //displaymodulo(0);
  displayPose();
  noStroke();
}

function displayPose() {
  let angle = 0;
  textSize(20)

  strokeWeight(20)
  stroke(200, 200, 200, 128)
  fill(255, 255, 255, 128);

  //cabeza
  beginShape();
  curveVertex((x11 + x12) / 2, (y11 + y12) / 2)
  curveVertex(x9, y9);
  curveVertex(x0, y0);
  curveVertex(x1, y1);
  curveVertex(x2, y2);
  curveVertex(x3, y3);
  curveVertex(x7, y7);
  curveVertex(x0, y0);
  curveVertex(x9, y9);
  curveVertex((x11 + x12) / 2, (y11 + y12) / 2)
  endShape();

  beginShape();
  curveVertex((x11 + x12) / 2, (y11 + y12) / 2)
  curveVertex(x10, y10);
  curveVertex(x0, y0);
  curveVertex(x4, y4);
  curveVertex(x5, y5);
  curveVertex(x6, y6);
  curveVertex(x8, y8);
  curveVertex(x0, y0);
  curveVertex(x10, y10);
  curveVertex((x11 + x12) / 2, (y11 + y12) / 2)
  endShape();

  noStroke();
  fill(0);
  /////////////////////////////////////////////////////

  pTobillo27 = createVector(0, 0, 0);
  pTobillo27.x = x27;
  pTobillo27.y = y27;

  pTobillo28 = createVector(0, 0, 0);
  pTobillo28.x = x28;
  pTobillo28.y = y28;

  let dwTobillo = p5.Vector.dist(pTobillo27, pTobillo28);

  filler(nAlpha, ColorPulgarI);
  ellipse((pTobillo27.x + pTobillo28.x) / 2, (pTobillo27.y + pTobillo28.y) / 2, dwTobillo);

}